/*
 * Copyright 2016  Daniel Faust <hessijames@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http: //www.gnu.org/licenses/>.
 */
import QtQuick 2.2
import QtQuick.Layouts 1.1
import org.kde.plasma.plasmoid 2.0
import org.kde.plasma.core 2.0 as PlasmaCore

Item {
    property bool showHidden: plasmoid.configuration.showHidden
    property bool showDevices: plasmoid.configuration.showDevices
    property bool showTimeline: plasmoid.configuration.showTimeline
    property bool showSearches: plasmoid.configuration.showSearches
    property int widgetWidth: Math.max(units.iconSizes.medium, theme.defaultFont.pixelSize + theme.smallestFont.pixelSize + units.smallSpacing) * 10
    readonly property bool inPanel: (plasmoid.location === PlasmaCore.Types.TopEdge
        || plasmoid.location === PlasmaCore.Types.RightEdge
        || plasmoid.location === PlasmaCore.Types.BottomEdge
        || plasmoid.location === PlasmaCore.Types.LeftEdge)

    Plasmoid.compactRepresentation: PlasmaCore.IconItem {
        source: 'folder-favorites'
        width: units.iconSizes.medium
        height: units.iconSizes.medium
        active: mouseArea.containsMouse
        Layout.minimumWidth: units.iconSizes.small
        Layout.maximumWidth: inPanel ? units.iconSizeHints.panel : -1
        Layout.minimumHeight: units.iconSizes.small
        Layout.maximumHeight: inPanel ? units.iconSizeHints.panel : -1

        MouseArea {
            id: mouseArea
            anchors.fill: parent
            onClicked: plasmoid.expanded = !plasmoid.expanded
            hoverEnabled: true
        }
    }

    Plasmoid.fullRepresentation: FullRepresentation {}

    Plasmoid.preferredRepresentation: Plasmoid.compactRepresentation
//     Plasmoid.preferredRepresentation: Plasmoid.fullRepresentation
}
